Request cancellation of one exact authoring turn
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns/{authoringTurnId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirm": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns/{authoringTurnId}/cancel"
payload = { "confirm": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns/{authoringTurnId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"authoringTurnId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sequence": 4503599627370495,
"prompt": "<string>",
"model": "opus",
"effort": "low",
"maxTurns": 100,
"maxBudgetUsd": 500,
"timeoutMs": 3600500,
"state": "queued",
"operationId": "<string>",
"createdAtMs": 0,
"proposalId": "<string>",
"agentSessionId": "<string>",
"actualModel": "<string>",
"turnsUsed": 100,
"durationMs": 0,
"estimatedCostUsd": 499999.9999995,
"resultText": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Request cancellation of one exact authoring turn
Request cancellation of one exact authoring turn
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Pattern:
^aturn_[0-9a-z]{12,32}$Body
application/json
Pattern:
^aturn_[0-9a-z]{12,32}$Response
Request cancellation of one exact authoring turn
Available options:
1 Pattern:
^aturn_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Required range:
0 < x <= 9007199254740991Required string length:
1 - 32768Available options:
opus, sonnet, haiku Available options:
low, medium, high, xhigh, max Required range:
0 < x <= 200Required range:
0 < x <= 1000Required range:
1000 <= x <= 7200000Available options:
queued, running, succeeded, unchanged, failed, cancelled Pattern:
^op_[0-9a-z]{12,32}$Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^aprop_[0-9a-z]{12,32}$Required string length:
1 - 255Required string length:
1 - 255Required range:
0 <= x <= 200Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 <= x <= 999999.999999Maximum string length:
100000Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991